/*  ==========================================================================
    // Item
    //
    // Based on the items of the Ionic Framework
    // Source: https://ionicframework.com/docs/v2/components/#lists
    //
    // .item--light         - light style
    // .item--fawn          - fawn style
    // .item--stable        - stable style
    // .item--positive      - positive style
    // .item--calm          - calm style
    // .item--assertive     - assertive style
    // .item--balanced      - balanced style
    // .item--energized     - energized style
    // .item--royal         - royal style
    // .item--dark          - dark style
    //
    // Markup: item.html
    //
    // Style guide: Modules.Item
    //
    ========================================================================== */

    .list-item
    {
        border-top: $item-border;
        border-bottom: $item-border;

        .item:last-child
        {
            border-bottom: 0 none;
        }
    }

    .item
    {
        @include item-style($item-default-bg, $item-default-border, $item-default-text, $item-default-hover-bg);

        position: relative;
        display: block;

        margin: $item-border-width * -1;
        padding: $item-padding;

        border-width: $item-border-width;
        border-style: solid;
        border-bottom: $item-border;
        font-size: inherit;

        // Align badges within items
        .badge
        {
            position: absolute;
            top: $single-space / 2;
            right: $r-gutter * 2;
        }

        &.item-button-right .badge
        {
            right: ($r-gutter * 2) + 3.5;
        }

        &.item-divider .badge
        {
            top: ceil($r-gutter / 2);
        }

        .badge + .badge
        {
            margin-right: 5px;
        }

        .fill-icon
        {
            min-width: $item-icon-fill-font-size + 2;
            min-height: $item-icon-fill-font-size + 2;
            font-size: $item-icon-fill-font-size;
        }

        // Different themes for items
        &.item--transparent
        {
            @include item-style(transparent, transparent, $item-stable-text, transparent);
    
            &:hover
            {
              background-color: transparent;
            }
        }

        &.item--light
        {
            @include item-style($item-light-bg, $item-light-border, $item-light-text, $item-light-hover-bg);
        }
    
        &.item--fawn
        {
            @include item-style($item-fawn-bg, $item-fawn-border, $item-fawn-text, $item-fawn-hover-bg);
        }
    
        &.item--stable
        {
            @include item-style($item-stable-bg, $item-stable-border, $item-stable-text, $item-stable-hover-bg);
        }
    
        &.item--positive
        {
            @include item-style($item-positive-bg, $item-positive-border, $item-positive-text, $item-positive-hover-bg);
        }
    
        &.item--calm
        {
            @include item-style($item-calm-bg, $item-calm-border, $item-calm-text, $item-calm-hover-bg);
        }
    
        &.item--assertive
        {
            @include item-style($item-assertive-bg, $item-assertive-border, $item-assertive-text, $item-assertive-hover-bg);
        }
    
        &.item--balanced
        {
            @include item-style($item-balanced-bg, $item-balanced-border, $item-balanced-text, $item-balanced-hover-bg);
        }
    
        &.item--energized
        {
            @include item-style($item-energized-bg, $item-energized-border, $item-energized-text, $item-energized-hover-bg);
        }
    
        &.item--royal
        {
          @include item-style($item-royal-bg, $item-royal-border, $item-royal-text, $item-royal-hover-bg);
        }
    
        &.item--dark
        {
          @include item-style($item-dark-bg, $item-dark-border, $item-dark-text, $item-dark-hover-bg);
        }
    }

    .item__label
    {
        display: block;
    }


    .item--sub
    {
        &:after
        {
            // By default, both <a> and <button> have right side arrow icons
            display: flex;
            align-items: center;
            @include font-smoothing(antialiased);
            position: absolute;
            top: 0;
            right: $r-gutter;
            height: 100%;
            color: $item-icon-color;
            content: "\e619"; // ion-chevron-right
            text-transform: none;
            font-weight: normal;
            font-style: normal;
            font-variant: normal;
            font-size: 20px;
            font-family: 'zoomsquare';
            line-height: 1;
            speak: none;
        }
  }


  /* ITEM ICONS
  ========================================================================== */

    .item-icon--left,
    .item-icon--right
    {
        .icon
        {
            display: flex;
            align-items: center;
            position: absolute;
            top: 0;
            height: 100%;
            font-size: $item-icon-font-size;
    
            &:before
            {
                display: block;
                width: $item-icon-font-size;
                text-align: center;
            }
        }
    }

    .item-icon--right
    {
        padding-right: ceil( ($r-gutter * 3) + ($r-gutter / 3) );

        &:after
        {
            position: absolute;
            top: 0;
            right: 50px;

            content: '';
            width: 1px;
            height: 58px;
            background: $white;
        }

        .icon
        {
            font-size: 1.6rem;
            right: 16px
        }

        &.item-complex
        {
            padding-right: 0;
        
            .item-content
            {
                padding-left: ceil( ($r-gutter * 3) + ($r-gutter / 3) );
            }
        }
    }

    .item-icon--left
    {
        padding-left: ceil( ($r-gutter * 3) + ($r-gutter / 3) );
    
        .icon
        {
            left: ceil( ($r-gutter / 3) * 2);
        }
        
        &.item-complex
        {
            padding-left: 0;
            
            .item-content
            {
                padding-left: ceil( ($r-gutter * 3) + ($r-gutter / 3) );
            }
        }
    }


  .item-icon--left.item-icon--right .icon:first-child
  {
    right: auto;
  }

  .item-icon--left.item-icon--right .icon:last-child,
  .item-icon--left .item-delete .icon
  {
    left: auto;
  }

  .item-icon--left .icon-accessory,
  .item-icon--right .icon-accessory
  {
    color: $item-icon-accessory-color;
    font-size: $item-icon-accessory-font-size;
  }

  .item-icon--left .icon-accessory
  {
    left: floor($r-gutter / 5);
  }

  .item-icon--right .icon-accessory
  {
     right: floor($r-gutter / 5);
  }


    /* ITEM SELECT
    /* AN ITEM THAT CONTAINS A SELECT
    ========================================================================== */

    .item-select
    {
        padding: 8px 16px;
        height: 52px;

        select
        {
            height: 49px;
            border: 1px solid transparent;
        }
    }

    .item-select__label
    {
        @include inline-block;

        padding: 6px 0;
    }

    .item-select__select
    {
        @include inline-block;
    }

    .item-select__select--right
    {
        position: absolute;
        right: 0px;
        top: 0px;

        direction: rtl;
    }

    /* ITEM INPUT
    /* AN ITEM THAT CONTAINS AN INPUT
    ========================================================================== */

    .item-input
    {
        display: flex;
        align-items: center;
    }

    .input-label,
    .input-value
    {
        flex-grow: 1;
        flex-basis: 50%;
        
        word-wrap: break-word;
        overflow: hidden;
        text-overflow: ellipsis;
        text-align: left;

        @include breakpoint(large)
        {
            flex-basis: 30%;
        }

        @include breakpoint(giant)
        {
            flex-basis: 20%;
        }
    }

    .input-label
    {
        margin-right: $r-gutter / 2;
        
        font-weight: $item-input-label-font-weight;
    }

    .input-value
    {
       font-weight: $item-input-value-font-weight;

        @include breakpoint(large)
        {
            flex-basis: 70%;
        }
    }

    .input-value--disabled
    {
        color: $item-input-value-disabled-color;
    }